%bcond_with gtk5

Name:          awf-extended
Version:       3.0.0
Release:       %mkrel 1
Summary:       Theme preview application for GTK
Summary(fr):   Application d'aperçu de thème pour GTK
License:       GPLv3+
Group:         Development/Basic
URL:           https://github.com/luigifab/awf-extended
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: pkgconfig(libnotify)

BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk4)

Requires:      hicolor-icon-theme

%description %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.}

%package gtk2
Summary:       Theme preview application for GTK2
Summary(fr):   Application d'aperçu de thème pour GTK2

%description gtk2 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 2 version.}

%description gtk2 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 2.}

%package gtk3
Summary:       Theme preview application for GTK3
Summary(fr):   Application d'aperçu de thème pour GTK3

%description gtk3 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 3 version.}

%description gtk3 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 3.}

%package gtk4
Summary:       Theme preview application for GTK4
Summary(fr):   Application d'aperçu de thème pour GTK4

%description gtk4 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 4 version.}

%description gtk4 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 4.}

%if %{with gtk5}
%package gtk5
Summary:       Theme preview application for GTK5
Summary(fr):   Application d'aperçu de thème pour GTK5

%description gtk5 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 5 version.}

%description gtk5 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 5.}
%endif

%prep
%autosetup -p1

%build
autoreconf -fi
%configure %{!?with_gtk5:--disable-gtk5}
%make_build

%install
%make_install
install -dm0755 %{buildroot}%{_datadir}/applications/

for file in data/*.desktop ; do
 desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ $file 
done

install -dm0755 %{buildroot}%{_datadir}/icons/hicolor/
for file in data/icons/*/*/awf.png; do 
  for gtkver in 2 3 4 %{?with_gtk5:5}; do
     cp $file ${file/\/awf.png/\/awf-gtk$gtkver.png};
  done 
 rm $file
done
for file in data/icons/*/*/awf.svg; do 
  for gtkver in 2 3 4 %{?with_gtk5:5}; do
     cp $file ${file/\/awf.svg/\/awf-gtk$gtkver.svg}; 
  done
 rm $file
done
cp -a data/icons/* %{buildroot}%{_datadir}/icons/hicolor/

install -dm0755 %{buildroot}%{_mandir}/man1/
for file in data/*.1 ; do
	install -m0644 $file %{buildroot}%{_mandir}/man1/
done
for file in src/po/*.po; do
  code=$(basename "$file" .po)
  install -dm0755 %{buildroot}%{_datadir}/locale/$code/LC_MESSAGES/
  for gtkver in 2 3 4 %{?with_gtk5:5}; do
     msgfmt src/po/$code.po -o %{buildroot}%{_datadir}/locale/$code/LC_MESSAGES/awf-gtk$gtkver.mo
  done

done
for gtkver in 2 3 4 %{?with_gtk5:5}; do
   %find_lang awf-gtk$gtkver --with-man
done

%files -n %{name}-gtk2 -f awf-gtk2.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk2
%{_datadir}/applications/awf-gtk2.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk2.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk2.svg
%{_mandir}/man1/awf-gtk2.*

%files -n %{name}-gtk3 -f awf-gtk3.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk3
%{_datadir}/applications/awf-gtk3.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk3.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk3.svg
%{_mandir}/man1/awf-gtk3.*

%files -n %{name}-gtk4 -f awf-gtk4.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk4
%{_datadir}/applications/awf-gtk4.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk4.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk4.svg
%{_mandir}/man1/awf-gtk4.*

%if %{with gtk5}
%files -n %{name}-gtk5 -f awf-gtk5.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk5
%{_datadir}/applications/awf-gtk5.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk5.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk5.svg
%{_mandir}/man1/awf-gtk5.*
%endif


%changelog
* Tue May 06 2025 katnatek <katnatek> 3.0.0-1.mga10
+ Revision: 2181424
- Disable gtk5 until is ready in upstream
- Add gtk5 subpackage
- Update to version 3.0.0

* Sat Apr 05 2025 daviddavid <daviddavid> 2.9.0-1.mga10
+ Revision: 2173677
- new version: 2.9.0

* Sat Mar 08 2025 katnatek <katnatek> 2.8.1-1.mga10
+ Revision: 2162075
- Remove French text
- imported package awf-extended

